Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

Endpoint: Entitlements

Method + path

  • GET /convert/entitlements/me

Auth

Requires X-Fast-Api-Key header. API keys are always associated with a Pro account, so API callers will always see pro-tier entitlements.

Response

200 OK with ConvertFastEntitlementsResponse.

FieldTypeRequiredDescription
userIdstring|nullnoUser ID
organizationIdstring|nullnoOrganization GUID
planIdstringyesPlan identifier ("pro" for API users)
planNamestringyesDisplay name of the plan
accessDisplayNamestring|nullnoShort display label (e.g. "Pro")
totalCreditsnumberyesCurrently available credits — decreases as credits are consumed
tierstringyes"pro" for API users
dailyLimitnumber|nullnoDaily credit limit (null for pro)
dailyUsednumber|nullnoCredits used today (null for pro)
resetDatestring|nullnoDaily reset date (null for pro)

totalCredits reflects your real-time credit balance from the central credit system and decreases with each conversion.

Example — Pro tier

{
  "userId": "0195e2a0-1234-7000-8000-000000000099",
  "organizationId": "0195e2a0-1234-7000-8000-000000000050",
  "planId": "pro",
  "planName": "Pro",
  "accessDisplayName": "Pro",
  "totalCredits": 4850,
  "tier": "pro",
  "dailyLimit": null,
  "dailyUsed": null,
  "resetDate": null
}

Examples

cURL
curl -sS "https://api.tools.fast/convert/entitlements/me" \
  -H "X-Fast-Api-Key: fast_prod_your_key_here"
PowerShell
Invoke-RestMethod "https://api.tools.fast/convert/entitlements/me" `
  -Headers @{ "X-Fast-Api-Key" = "fast_prod_your_key_here" }
Copied.